- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QGraphicsSceneDragDropEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 246 of file qgraphicssceneevent.h.

`#include <qgraphicssceneevent.h>`

Inheritance diagram for QGraphicsSceneDragDropEvent:
[legend]

List of all members.

## Public Member Functions
| QGraphicsSceneDragDropEvent (Type type=None)
| ~QGraphicsSceneDragDropEvent ()
QPointF | pos () const
void | setPos (const QPointF &pos)
QPointF | scenePos () const
void | setScenePos (const QPointF &pos)
QPoint | screenPos () const
void | setScreenPos (const QPoint &pos)
Qt::MouseButtons | buttons () const
void | setButtons (Qt::MouseButtons buttons)
Qt::KeyboardModifiers | modifiers () const
void | setModifiers (Qt::KeyboardModifiers modifiers)
Qt::DropActions | possibleActions () const
void | setPossibleActions (Qt::DropActions actions)
Qt::DropAction | proposedAction () const
void | setProposedAction (Qt::DropAction action)
void | acceptProposedAction ()
Qt::DropAction | dropAction () const
void | setDropAction (Qt::DropAction action)
QWidget * | source () const
void | setSource (QWidget *source)
const QMimeData * | mimeData () const
void | setMimeData (const QMimeData *data)

## Constructor & Destructor Documentation

QGraphicsSceneDragDropEvent | ( | Type | type = `None` | ) |

~QGraphicsSceneDragDropEvent | ( |  | ) |

## Member Function Documentation

QPointF pos | ( |  | ) | const

Search for all occurrences

void setPos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPointF scenePos | ( |  | ) | const

Search for all occurrences

void setScenePos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPoint screenPos | ( |  | ) | const

Search for all occurrences

void setScreenPos | ( | const QPoint & | pos | ) |

Search for all occurrences

Qt::MouseButtons buttons | ( |  | ) | const

Search for all occurrences

void setButtons | ( | Qt::MouseButtons | buttons | ) |

Search for all occurrences

Qt::KeyboardModifiers modifiers | ( |  | ) | const

Search for all occurrences

void setModifiers | ( | Qt::KeyboardModifiers | modifiers | ) |

Search for all occurrences

Qt::DropActions possibleActions | ( |  | ) | const

Search for all occurrences

void setPossibleActions | ( | Qt::DropActions | actions | ) |

Search for all occurrences

Qt::DropAction proposedAction | ( |  | ) | const

Search for all occurrences

void setProposedAction | ( | Qt::DropAction | action | ) |

Search for all occurrences

void acceptProposedAction | ( |  | ) |

Search for all occurrences

Qt::DropAction dropAction | ( |  | ) | const

Search for all occurrences

void setDropAction | ( | Qt::DropAction | action | ) |

Search for all occurrences

QWidget* source | ( |  | ) | const

Search for all occurrences

void setSource | ( | QWidget * | source | ) |

Search for all occurrences

const QMimeData* mimeData | ( |  | ) | const

Search for all occurrences

void setMimeData | ( | const QMimeData * | data | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgraphicssceneevent.h

QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent
QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent QGraphicsSceneDragDropEvent